package com.kym.service.platform;

import com.alibaba.fastjson2.JSONObject;
import com.kym.common.annotation.DynamicCache;
import com.kym.entity.platform.response.PlatformResponse;

/**
 * @author skyline
 * @description
 * @date 2023-07-31 14:13
 */
public interface PlatformApiService {

    PlatformResponse platformPost(String platformName, String url, String params);

    String queryPlatformToken(String platformName);

    JSONObject queryEquipAuth(String platformName, String connectorId, String equipAuthSeq);

    @DynamicCache(spel = "#connectorId")
    JSONObject queryEquipBusinessPolicy(String platformName, String equipBizSeq, String connectorId);


    JSONObject queryStartCharge(String platformName, String startChargeSeq, String connectorId, String qrCode, Integer amount);


    JSONObject queryEquipChargeStatus(String platformName, String startChargeSeq);


    JSONObject updateBalanceByQueryEquipChargeStatus(String platformName, String startChargeSeq, int amount);


    JSONObject queryStopCharge(String platformName, String startChargeSeq, String connectorId);
}
